import { UserModel } from 'wetube-common';
import { IUserRepository } from './IUserRepository';

export class UserInMemoryRepository implements IUserRepository {
    private users = new Map<string, UserModel>();

    public save(user: UserModel): void {
        this.users.set(user.id, user);
    }

    public getById(userId: string) {
        const user = this.users.get(userId);
        return user ?? null;
    }

    public update(user: UserModel): void {
        this.users.set(user.id, user);
    }
}