import jwt from 'jsonwebtoken';
import { ITokenAuth, TokenAuthPayload } from './ITokenAuth';

export class JWTAuth<T extends TokenAuthPayload> implements ITokenAuth<T> {

    public sign(payload: T, secret: string): string {
        return jwt.sign(payload, secret);
    }

    public verify(token: string, secret: string): T {
        return jwt.verify(token, secret) as T;
    }

}