import React, { createContext, useContext } from 'react';
import { AppApi, createAppApi } from '../api';

const appApi = createAppApi();

const AppApiContext = createContext<AppApi>({} as AppApi);
export const useAppApi = () => {
    return useContext(AppApiContext);
};

interface AppApiProviderProps {
    children?: React.ReactNode
}
export const AppApiProvider = ({ children }: AppApiProviderProps): JSX.Element => {
    return (
        <AppApiContext.Provider value={appApi}>
            {children}
        </AppApiContext.Provider>
    );
};