import React from 'react';
import { AppApiProvider } from './AppApiProvider';
import { ThemeProviderWrapper } from './ThemeProvider';
import { RouterProviderWrapper } from './RouterProvider';

interface ProviderHierarchyProps {
    children?: React.ReactNode
}
export const ProviderHierarchy = ({ children }: ProviderHierarchyProps) => {
    return (
        <AppApiProvider>
            <ThemeProviderWrapper>
                <RouterProviderWrapper>
                    {children}
                </RouterProviderWrapper>
            </ThemeProviderWrapper>
        </AppApiProvider>
    );
};