import React from 'react';
import { ReactLocation, Route, Router } from "@tanstack/react-location";

import { CreateLobby } from '../pages/create';
import { JoinLobby } from '../pages/lobby';

const location = new ReactLocation();
const routes: Route[] = [
    {
        path: '/',
        element: <CreateLobby />,
    },
    {
        path: '/join',
        element: <JoinLobby />,
    },
];

interface RouterProviderWrapperProps {
    children?: React.ReactNode
}
export const RouterProviderWrapper = ({ children }: RouterProviderWrapperProps) => {
    return (
        <Router
            location={location}
            routes={routes}
        >
            {children}
        </Router>
    );
};