import React from 'react';
import { LobbyUserObj } from 'wetube-common';
import { styled } from '@mui/material/styles';
import List from '@mui/material/List';
import ListItem from '@mui/material/ListItem';
import Collapse from '@mui/material/Collapse';
import { TransitionGroup } from 'react-transition-group';

import { LobbyListItem } from './LobbyListItem';

const StyledList = styled(List)({
    overflowY: 'auto',
});

interface LobbyListProps {
    className?: string;
    items: LobbyUserObj[];
}
export const LobbyList = (props: LobbyListProps) => {
    const { className, items } = props;

    return (
        <StyledList className={className}>
            <TransitionGroup>
                {items.map((item, i) => (
                    <Collapse key={i}>
                        <ListItem>
                            <LobbyListItem
                                item={item}
                            />
                        </ListItem>
                    </Collapse>
                ))}
            </TransitionGroup>
        </StyledList>
    );
};