import React from 'react';
import { LobbyUserObj } from 'wetube-common';
import { styled } from '@mui/material/styles';
import Card from '@mui/material/Card';
import CardContent from '@mui/material/CardContent';
import Typography from '@mui/material/Typography';

const StyledCard = styled(Card)({
    display: 'flex',
    width: '100%'
});

const StyledCardContent = styled(CardContent)({
    minWidth: 218,
    flex: 1,
    '&:last-child': {
        paddingBottom: 16,
    },
});

interface LobbyListItemProps {
    className?: string,
    item: LobbyUserObj,
}
export const LobbyListItem = (props: LobbyListItemProps) => {
    const { item, className } = props;

    return (
        <StyledCard className={className}>
            <StyledCardContent>
                <Typography
                    noWrap
                    variant="body1"
                    component="div"
                >
                    {item.name}
                </Typography>
            </StyledCardContent>
        </StyledCard>
    );
};
