import { LobbyUserObj } from 'wetube-common';
import { MediaMetadata } from '../media-metadata';
import { ISubscription } from "../../utils";

export type PlayMediaPayload = {
    currentTime: number,
}

export type PauseMediaPayload = {
    currentTime: number,
}

export type SyncPlaylistPayload = {
    playlist: MediaMetadata[],
    targetUserId: string,
}

export type MediaSyncSubscriptions = {
    'sync-playlist': SyncPlaylistPayload,
    'play': PlayMediaPayload,
    'pause': PauseMediaPayload,
}

export interface IMediaSyncService {
    get subscription(): ISubscription<MediaSyncSubscriptions>;
    initialize(lobbyId: string, users: LobbyUserObj[], currentUserId: string): void;
    syncPlaylist(playlist: MediaMetadata[], targetUserId?: string): void;
    play(time: number): void;
    pause(time: number): void;
}