export const cast = <T>(thing: unknown): T => {
    return thing as T;
};

// eslint-disable-next-line @typescript-eslint/no-explicit-any
export const debounce = <F extends (...args: any) => any>(func: F, timeout: number) => {
    let timer: ReturnType<typeof setTimeout>;

    return (...args: Parameters<F>) => {
        clearTimeout(timer);
        timer = setTimeout(() => {
            func.apply(this, args);
        }, timeout);
    };
};